<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<f:subview id="ethernetDialogView">
<hx:panelBox id="createEthernetDialogbox" layout="pageDirection">
<usmc:messageBox id="name_messagebox_dialog"
							               messageCollection="#{messageBoxBean.messages}"
							               styleClass="taskInfo"
							               immediate="true"
							               closeLinkVisible="false"
							               closeListener="#{messageBoxBean.handleClose}"
							               />
														
							<h:panelGrid>
							<h:outputText value="#{msg.CR_ETH_ADAP_PANEL_TEXT}"/>	
							</h:panelGrid>
							
							<h:outputText value="<P></P>" escape="false"/>
							<h:panelGrid>
							<usmc:outputLabel for="ethadapterId" id="adapterIdlbl" value="#{msg.CR_ETH_ADAP_ID_TEXT}"/> 
							<h:inputText id="ethadapterId" value="#{vios_pagecode.ethernetAdapter.adapterId}" maxlength="9" onkeypress="return isNumber(event, this.id, '');"/>
							<usmc:outputLabel for="portvlanId" id="portvlanIdlbl" value="#{msg.CR_ETH_ADAP_PVID_TEXT}"/> 
							<h:inputText id="portvlanId" value="#{vios_pagecode.ethernetAdapter.pvid}" maxlength="9" onkeypress="return isNumber(event, this.id, '');"/>
							
							<usmc:outputLabel for="vsiTypeId" id="vsiTypeIdlbl" value="#{msg.CR_ETH_ADAP_VSITYPEID}" rendered="#{host_config_bean.vsnPhase2Capable}"/> 
							<h:inputText id="vsiTypeId" value="#{vios_pagecode.ethernetAdapter.vsiTypeid}" onkeypress="return isNumber(event, this.id, '');" rendered="#{host_config_bean.vsnPhase2Capable}"/>
							
							<usmc:outputLabel for="vsiTypeVer" id="vsiTypeVerlbl" value="#{msg.CR_ETH_ADAP_VSITYPEVER}" rendered="#{host_config_bean.vsnPhase2Capable}"/> 
							<h:inputText id="vsiTypeVer" value="#{vios_pagecode.ethernetAdapter.vsiTypeVer}" rendered="#{host_config_bean.vsnPhase2Capable}"/>
							
							<usmc:outputLabel for="vsiMgrId" id="vsiMgrIdlbl" value="#{msg.CR_ETH_ADAP_VSIMGRID}" rendered="#{host_config_bean.vsnPhase2Capable}"/> 
							<h:inputText id="vsiMgrId" value="#{vios_pagecode.ethernetAdapter.vsiMgrid}" onkeypress="return isNumber(event, this.id, '');" rendered="#{host_config_bean.vsnPhase2Capable}"/>
							
							</h:panelGrid>
							
							<h:outputText value="<P></P>" escape="false"/>
							
							<h:panelGrid>
								<h:outputText value="#{msg.CR_ETH_ADAP_IEEE_TEXT}" styleClass="headerText"/>
								<h:outputText value="#{msg.CR_ETH_ADAP_IEEE_DESC}" styleClass="outputText"/>
							</h:panelGrid>
							
							<h:panelGrid id="ieepanelId">
							
							<hx:ajaxRefreshSubmit id="dialogRefesh"/>
							
							<h:panelGrid columns="3">
							
							<h:selectBooleanCheckbox id="ieeecompid" value="#{vios_pagecode.ethernetAdapter.ieeeCompatible}">
								<hx:behavior event="onclick" targetAction="ieepanelId" behaviorAction="get;stop"/>
								</h:selectBooleanCheckbox>
								<usmc:outputLabel for="ieeecompid" value="#{msg.CR_ETH_ADAP_IEEE_COMP_TEXT}"/>
							</h:panelGrid>							
														
							<h:panelGrid columns="2" styleClass="columnEthAdapAlign">
							<usmc:outputLabel for="maxvlanid" value="#{msg.CR_ETH_ADAP_EX_TEXT}"/>
							<h:outputText value="#{vios_pagecode.maxVLANSPerPort}" id="maxvlanid"/>
							</h:panelGrid>
							
							
							<hx:panelBox layout="pageDirection" styleClass="columnEthAdapAlign">
							<usmc:outputLabel value="#{msg.CR_ETH_ADAP_MAXVLAN_TEXT}" />
							<h:panelGrid columns="2">
								<h:inputText value="#{vios_pagecode.ethernetAdapter.additionalVLANs}" id="additionalvlanids" disabled="#{!vios_pagecode.ethernetAdapter.ieeeCompatible}"/>
								<h:outputText value="#{msg.CR_ETH_ADAP_ADDVLAB_TEXT}"/>
							</h:panelGrid>
							</hx:panelBox>
										
							</h:panelGrid>
							
							<h:outputText value="<br>" escape="false"/>
							
							<h:panelGrid id="seapanelid">
							
							<hx:ajaxRefreshSubmit id="dialogSEARefesh"/>
							
							<h:panelGrid>
								<h:outputText value="#{msg.CR_ETH_ADAP_SEA_TEXT}" styleClass="headerText"/>
								<h:outputText value="#{msg.CR_ETH_ADAP_SEC_DESC}" styleClass="outputText"/>
							</h:panelGrid>
							
							<h:panelGrid columns="3">
							<h:selectBooleanCheckbox id="bridgeid" value="#{vios_pagecode.ethernetAdapter.bridged}">
								<hx:behavior event="onclick" targetAction="seapanelid" behaviorAction="get;stop"/>
							</h:selectBooleanCheckbox>
							<usmc:outputLabel for="bridgeid" value="#{msg.CR_ETH_ADAP_BRIDGE_TEXT}"/>
							</h:panelGrid>
							
							<hx:panelBox layout="pageDirection" styleClass="columnEthAdapAlign">
							<usmc:outputLabel value="#{msg.CR_ETH_ADAP_PRIORITY_TEXT}" />
							<h:panelGrid columns="2">
								<h:inputText id="priorityID" value="#{vios_pagecode.ethernetAdapter.priority}" disabled="#{!vios_pagecode.ethernetAdapter.bridged}" maxlength="3" onkeypress="return isNumber(event, this.id, '');"/>
								<h:outputText value="#{msg.CR_ETH_ADAP_PRI_EX_TEXT}"/>
							</h:panelGrid>
							</hx:panelBox>
							
							</h:panelGrid>
							
							<h:panelGrid id="VSwitchPanel" rendered="#{vios_pagecode.renderVSwitchPanel}">
							<h:outputText value="<P>" escape="false"/>
							
							<h:panelGrid>
								<h:outputText value="#{msg.CR_ETH_ADAP_SWITCH_TEXT}" styleClass="headerText"/>
							</h:panelGrid>
							
							<h:panelGrid columns="2">
								 <h:outputText value="#{msg.CR_ETH_ADAP_SWITCH_LBL}"/>
								 <h:selectOneMenu value="#{vios_pagecode.ethernetAdapter.vswitchName}">
								 	<f:selectItems value="#{vios_pagecode.vswitchs}"/>
								 </h:selectOneMenu>
							</h:panelGrid>
							
							</h:panelGrid>
										
<!--  Expand/collapse section for Advanced Settings -->

	<hx:panelSection id="advancedCrtEthernetPanelSection"
					styleClass="panelSectionDPSMWide"
					title="#{msg.LBL_ADVANCED_ETHERNET_SECTION}" initClosed="true">
					<f:facet name="closed">
						<hx:jspPanel id="advVeth1">
							<hx:graphicImageEx id="pvolid6" align="middle"
								value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif"
								border="0" hspace="0" vspace="0" />
							<h:outputText id="advVethtext1"
								value="#{msg.LBL_ADVANCED_ETHERNET_SECTION}" />
						</hx:jspPanel>
					</f:facet>
					<f:facet name="opened">
						<hx:jspPanel id="advVeth2">
							<hx:graphicImageEx id="advVethid4" align="middle"
								value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif"
								border="0" hspace="0" vspace="0" />
							<h:outputText id="advVethtext2"
								value="#{msg.LBL_ADVANCED_ETHERNET_SECTION}" />
						</hx:jspPanel>
					</f:facet>
			<h:outputText value="#{vios_pagecode.ethernetAdapter.selectedMacAddressRestriction}" id="initMacAddress" style="display: none"/>		
			<h:outputText value="#{vios_pagecode.ethernetAdapter.selectedQoSValue}" id="initQosValue" style="display: none"/>
			<h:panelGrid id="macAdressPanel" columns="1">
				<hx:ajaxRefreshSubmit id="macAddressPanelSubmit" />
				<h:panelGrid id="macaddressPanelAuto1" columns="2" >
					<usmc:outputLabel id="macAddressAutoAssignedLabel"
						for="macAddressAutoAssigned" value="#{msg.LBL_MAC_ADDRESS}"></usmc:outputLabel>
					<h:selectBooleanCheckbox id="macAddressAutoAssigned"
						value="#{vios_pagecode.ethernetAdapter.autoAssignedMacAddress}">
						<hx:behavior id="macAddressAutoAssignedBehaviourId"
							event="onclick" behaviorAction="get;stop"
							target="macAddressAutoAssigned" targetAction="macAdressPanel" />
					</h:selectBooleanCheckbox>
				</h:panelGrid>
				<h:panelGrid id="CustomMacAddressPanel"
					rendered="#{(!vios_pagecode.ethernetAdapter.autoAssignedMacAddress)}"
					columns="3">
					<usmc:outputLabel id="customMacAddressInputTextLabel"
						for="customMacAddressInputText" value="#{msg.ENTER_MAC_ADDRESS}" />
					<h:inputText id="customMacAddressInputText"
						value="#{vios_pagecode.ethernetAdapter.customMacAddress}" ></h:inputText>
				</h:panelGrid>
			</h:panelGrid>
			<h:panelGrid id="panelQoS" columns="3">
						<usmc:outputLabel id="qos" value="#{msg.LBL_QOS_VEA}"
							for="selectQoS" />
						<h:selectOneMenu id="selectQoS" 
							value="#{vios_pagecode.ethernetAdapter.selectedQoSValue}">
							<f:selectItems id="itemsQoSList"
								value="#{vios_pagecode.ethernetAdapter.qoSValueList}" />
						</h:selectOneMenu>
			</h:panelGrid>
			
			<h:panelGrid id="macAddressRestriction">
				<hx:ajaxRefreshSubmit id="macAddressRestrictionRequest"></hx:ajaxRefreshSubmit>
				<usmc:outputLabel id="macAddressRestrictionLabel" value="#{msg.LBL_MAC_ADDRESS_RESTRICTION}" for="macAddressRestrictionRadio"/>
				<h:selectOneRadio id="macAddressRestrictionRadio"
						value="#{vios_pagecode.ethernetAdapter.selectedMacAddressRestriction}" layout="pageDirection">
						<f:selectItems id="MacAddressItems" value="#{vios_pagecode.ethernetAdapter.macAddressResType}" />
						<hx:behavior id="macAddressRestrictionBehaviousId"
							event="onclick" behaviorAction="get;stop"
							target="macAddressRestrictionRadio" targetAction="macAddressRestriction"/>
				</h:selectOneRadio>
				<h:panelGrid id="customMacAddressRestrictionPanel" rendered="#{vios_pagecode.ethernetAdapter.renderCustomMacRestriction}">
					<usmc:outputLabel id="customMacAddressRestrictionLabel"
						for="customMacAddressRestrictionInputText" value="#{msg.ENTER_MAC_ADDRESS}"/>
					<h:inputText id="customMacAddressRestrictionInputText"
						value="#{vios_pagecode.ethernetAdapter.customMacAddressForRestriction}"></h:inputText>
				</h:panelGrid>
			</h:panelGrid>
		</hx:panelSection>


							<h:outputText value="<P>" escape="false"/>
							<h:panelGrid columns="3">
							<hx:commandExButton action="#{vios_pagecode.createEthernetAdapterSubmit}" value="#{msg.OK_TEXT}" type="submit">
							<hx:behavior event="onclick" targetAction="createAdapterPanelDialog;networkPanel" behaviorAction="hide;get;stop"/>
							</hx:commandExButton>
							
							<hx:commandExButton value="#{msg.CANCEL_TEXT}" action="#{vios_pagecode.createEthernetAdapterCancel}" type="submit">
							<hx:behavior event="onclick" targetAction="createAdapterPanelDialog;networkPanel" behaviorAction="hide;get;stop"/>
							</hx:commandExButton>
							
							<h:commandButton id="help_button_cvseth"
								value="#{msg.HELP_TEXT}"
								action="#{cvs_help.doEthAdapterHelp}" immediate="true">
							</h:commandButton>
							</h:panelGrid>

</hx:panelBox>
</f:subview>