<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces"
	prefix="vsmfaces"%>

<h:inputText value="#{sriov_bean.sriovSortColumn}"
	style="display : none" id="sriovSort_Column" />
	
	
<hx:panelBox layout="pageDirection" id="sriovPanel" width="100%">
	<usmc:messageBox id="name_messagebox"
		messageCollection="#{messageBoxBean.messages}" styleClass="taskInfo"
		immediate="true" closeLinkVisible="true"
		helpListener="#{messageBoxBean.handleHelp}"
		closeListener="#{messageBoxBean.handleClose}"
		responseListener="#{messageBoxBean.handleResponse}" rendered="true" />

	<hx:ajaxRefreshSubmit id="vethsortRefresh" />

	<hx:panelDialog id="sriovsubPanelDialog" rendered="false"
		style="width:700px;">
	</hx:panelDialog>

<hx:panelSection id="sriovPanelSection"
		styleClass="panelSectionDPSMWide" initClosed="false">
		<f:facet name="closed">
			<hx:jspPanel id="isd51">
				<hx:graphicImageEx id="ws61" align="bottom"
					value="/com.ibm.dpsm.console.vsmgt/images/section_closed.gif"
					border="0" hspace="0" vspace="0" />
				<h:outputText id="vtesxt11" value="#{msg.LBL_SRIOV_PANELSECTION}"
					title="#{msg.LBL_SRIOV_PANELSECTION}" />
			</hx:jspPanel>
		</f:facet>
		<f:facet name="opened">
			<hx:jspPanel id="ids31">
				<hx:graphicImageEx id="ws41" align="bottom"
					value="/com.ibm.dpsm.console.vsmgt/images/section_open.gif"
					border="0" hspace="0" vspace="0" />
				<h:outputText id="vsext12" value="#{msg.LBL_SRIOV_PANELSECTION}"
					title="#{msg.LBL_SRIOV_PANELSECTION}" />
			</hx:jspPanel>
		</f:facet>
	

	<h:panelGrid columns="2">
		<usmc:outputLabel id="lblLogicalPortType" for="logicalPortTypebox"
			value="#{msg.LBL_PORTTYPE_TEXT}" styleClass="headerText" />
		<%-- <h:outputText value="&nbsp;&nbsp;" escape="false" /> --%>
		<h:selectOneMenu id="logicalPortTypebox"
			value="#{sriov_bean.logicalPortType}">
			<f:selectItems id="logicalportselectitems"
				value="#{sriov_bean.portType}" />
			<hx:behavior event="onchange" targetAction="sriovPanel"
				behaviorAction="get;stop" />
		</h:selectOneMenu>

	</h:panelGrid>

	<h:outputText id="escapeText1" value="<P>" escape="false" />	
	<h:outputText id="whitespecer3" value="<P>" escape="false" />	

	<h:panelGrid id="confiPanel" border="0" cellpadding="0" cellspacing="0"
		width="100%">
		<h:panelGrid
			columnClasses="wclDataTableToolbarL,wclDataTableToolbar,wclDataTableToolbar,
		wclDataTableToolbar,wclDataTableToolbarBR,wclDataTableToolbarR"
			id="atoolbarTable" columns="6" border="0" cellpadding="0"
			cellspacing="0" width="100%" rendered="true">

			<hx:graphicImageEx value="/images/wtable_spacer.gif" id="whitespecer2"
				style="width: 15px" />

				<hx:commandExButton styleClass="buttonRegular" id="configureLogPort"
					action="#{sriov_bean.addLogicalPort}"
					value="#{msg.LBL_ADD}"
					actionListener="#{sriov_bean.launchDialogPanelEvent}" > <%-- disabled = "#{!sriov_bean.physicalPortConfigured}" > --%>
					<hx:behavior event="onclick" targetAction="sriovPanel"
						behaviorAction="get;stop" />
				</hx:commandExButton>
				
				<hx:commandExButton styleClass="buttonRegular" id="editLogPort"
				action="#{sriov_bean.editLogicalPort}"
				value="#{msg.LBL_EDIT_ADAPTER}"
				actionListener="#{sriov_bean.launchDialogPanelEvent}"
				disabled="#{!sriov_bean.configDetails.selected}">
				<hx:behavior event="onclick" targetAction="sriovPanel"
					behaviorAction="get;stop" />
			</hx:commandExButton>

			<hx:commandExButton styleClass="buttonRegular" id="removeLogPort"
				action="#{sriov_bean.deleteLogicalPort}"
				value="#{msg.LBL_REMOVE_ADAPTER}"
				disabled="#{!sriov_bean.configDetails.selected}">
				<hx:behavior event="onclick" targetAction="sriovPanel"
					behaviorAction="get;stop" />
			</hx:commandExButton>

			<hx:graphicImageEx value="/images/wtable_spacer.gif" />
			<hx:graphicImageEx value="/images/wtable_spacer.gif" />

		</h:panelGrid>

		<h:panelGrid id="sriovtablewrapperPanel" width="100%" cellspacing="0"
			cellpadding="0" border="0" styleClass="newFaceDataTableBorder">

			<hx:commandExButton value="" action="#{sriov_bean.sortSriovTable}"
				style="display : none" id="sriovsort_button">
				<hx:behavior event="onclick" targetAction="sriovtablewrapperPanel"
					behaviorAction="get;stop" target="sriovsort_button" />
			</hx:commandExButton>


			<hx:dataTableEx border="0" cellpadding="10" cellspacing="0"
				columnClasses="columnClass1" headerClass="dataTableColumnHeader"
				footerClass="footerClass" rowClasses="rowClass1, rowClass2"
				id="configtable" styleClass="newFaceDataTable"
				value="#{sriov_bean.addDetails}" var="configlist" width="100%"
				scrollSize="#{sriov_bean.sriovTblScrollSize}">

				<hx:columnEx id="hea_adapters_selectcolumn"
					style="text-align: center;width: 8%">
					<f:facet name="header">
						<h:panelGrid width="100%" columnClasses="sortHeaderText">
							<usmc:outputLabel id="hea_adapters_selectlabel"
								styleClass="outputLabel" for="hea_adapters_select_id"
								value="#{msg.select}" />
						</h:panelGrid>
					</f:facet>
					<h:selectBooleanCheckbox id="hea_adapters_select_id"
						value="#{configlist.selected}"
						onclick="handleTableRowTaskSelection('createServer_form:createsvrwizard:SriovPanel:configtable',true,
						'createServer_form:createsvrwizard:SriovPanel:editLogPort','createServer_form:createsvrwizard:SriovPanel:removeLogPort');" />
				</hx:columnEx>

				<hx:columnEx id="sriovAdapters_Col" style="width: 10%">
					<f:facet name="header">
						<h:panelGrid columns="2" width="100%"
							columnClasses="sortHeaderText,sortHeaderImage">

							<usmc:outputLabel id="adaptersgrp" styleClass="outputLabel"
								for="adapter_id" value="#{msg.LBL_ADAPTER}" />
							<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
								title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}"
								style="text-align: right"
								onclick="sortCol(
							'createServer_form:createsvrwizard:SriovPanel:sriovsort_button','sriovAdapters_Col','createServer_form:createsvrwizard:SriovPanel:sriovSort_Column');" />
						</h:panelGrid>

					</f:facet>
					<h:outputText id="adapter_id" styleClass="outputText"
						value="#{configlist.adapterId}" />
				</hx:columnEx>



				<hx:columnEx id="sriovPhyPortCol" style="word-wrap:break-word">
					<f:facet name="header">
						<h:panelGrid columns="2" width="100%"
							columnClasses="sortHeaderText,sortHeaderImage">

							<usmc:outputLabel id="hea_adapterslstatelabel"
								styleClass="outputLabel" value="#{msg.LBL_PHYSICALPORT}" />
							<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
								title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}"
								style="text-align: right"
								onclick="sortCol(
							'createServer_form:createsvrwizard:SriovPanel:sriovsort_button','sriovPhyPortCol','createServer_form:createsvrwizard:SriovPanel:sriovSort_Column');" />
						</h:panelGrid>

					</f:facet>

					<vsmfaces:outputText uiproperty="#{configlist.physPort}" />
				</hx:columnEx>


				<hx:columnEx id="sriov_configcolumn" style="width: 10%">
					<f:facet name="header">
						<h:panelGrid columns="2" width="100%"
							columnClasses="sortHeaderText,sortHeaderImage">
							<usmc:outputLabel styleClass="outputLabel" id="sriov_configlabel"
								value="#{msg.LBL_CONFIG}" />
							<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
								title="#{msg.LBL_TBL_NOSORT}" alt="#{msg.LBL_TBL_NOSORT}"
								style="text-align: right"
								onclick="sortCol(
							'createServer_form:createsvrwizard:SriovPanel:sriovsort_button','sriov_configcolumn','createServer_form:createsvrwizard:SriovPanel:sriovSort_Column');" />
						</h:panelGrid>
					</f:facet>
					<h:commandLink id="sriovconfigLink"
						onmouseup="var avdisk = this.id.replace('sriovconfigLink','editLogPortLink');document.getElementById(avdisk).click();">
						<h:outputText id="sriovconfigLinkText" value="#{configlist.configurationId}" />
					</h:commandLink>


					<hx:commandExButton styleClass="commandExButton"
						id="editLogPortLink" action="#{sriov_bean.editLogicalPort}"
						style="display:none;" value="#{configlist.configurationId}"
						actionListener="#{sriov_bean.launchDialogPanelEvent}">
						<hx:behavior event="onclick" targetAction="sriovPanel"
							behaviorAction="get;stop" />
					</hx:commandExButton>
				</hx:columnEx>


				<hx:columnEx id="sriov_capacity" style="width: 10%">
					<f:facet name="header">

						<h:panelGrid columns="2" width="100%"
							columnClasses="sortHeaderText,sortHeaderImage">
							<usmc:outputLabel id="hea_adaptersavailconnlabel"
								styleClass="outputLabel" value="#{msg.LBL_CAPACITY}" />
							<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
								title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}"
								style="text-align: right"
								onclick="sortCol(
							'createServer_form:createsvrwizard:SriovPanel:sriovsort_button','sriov_capacity','createServer_form:createsvrwizard:SriovPanel:sriovSort_Column');" />
						</h:panelGrid>

					</f:facet>

					<vsmfaces:outputText uiproperty="#{configlist.capacity}" />
				</hx:columnEx>


				<hx:columnEx id="sriov_diagnostic" style="width: 10%">
					<f:facet name="header">

						<h:panelGrid columns="2" width="100%"
							columnClasses="sortHeaderText,sortHeaderImage">
							<usmc:outputLabel id="a_adaptersavailconnlabel"
								styleClass="outputLabel" value="#{msg.LBL_DIAGNOSTIC}" />
							<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
								title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}"
								style="text-align: right"
								onclick="sortCol(
							'createServer_form:createsvrwizard:SriovPanel:sriovsort_button','sriov_diagnostic','createServer_form:createsvrwizard:SriovPanel:sriovSort_Column');" />
						</h:panelGrid>

					</f:facet>

					<vsmfaces:outputText uiproperty="#{configlist.diagnostic}" />
				</hx:columnEx>



				<hx:columnEx id="sriov_type" style="width: 10%">
					<f:facet name="header">

						<h:panelGrid columns="2" width="100%"
							columnClasses="sortHeaderText,sortHeaderImage">
							<usmc:outputLabel id="hea_adaptersavailconnlabel1"
								styleClass="outputLabel" value="#{msg.LBL_TYPE}" />
							<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
								title="#{msg.TBL_NONE_TITLE}" alt="#{msg.TBL_NONE_TITLE}"
								style="text-align: right"
								onclick="sortCol(
							'createServer_form:createsvrwizard:SriovPanel:sriovsort_button','sriov_type','createServer_form:createsvrwizard:SriovPanel:sriovSort_Column');" />
						</h:panelGrid>

					</f:facet>

					<vsmfaces:outputText uiproperty="#{configlist.type}" />
				</hx:columnEx>



			</hx:dataTableEx>

		</h:panelGrid>
	<%-- <exfaces:script rendered="true" type="text/javascript"  value="handleTableRowTaskSelection('SriovPanel:configtable',true,false,'SriovPanel:editLogPort','SriovPanel:removeLogPort',null,null);"/> --%>
	</h:panelGrid>
</hx:panelSection>
</hx:panelBox>