<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces"
	prefix="vsmfaces"%>

<f:subview id="strgMvDlpMemView">
	<hx:panelBox id="strgMvDlpMemDialogbox" layout="pageDirection">

  
		<usmc:messageBox id="strgMvDlpMemMessageBox"
			messageCollection="#{messageBoxBean.messages}" styleClass="taskInfo"
			immediate="true" closeLinkVisible="false"
			closeListener="#{messageBoxBean.handleClose}" />

	<hx:ajaxRefreshSubmit id="sharedSectionAjax" />

		<h:panelGrid id="panel1">
			<h:outputText id="move_lpar_id1"
				value="#{msg.LBL_STRGMvDlpMem_TEXT} " />
		</h:panelGrid>

		<h:outputText id="outputext56" value="<p>" escape="false" />

		<h:panelGrid id="memorynamepanel">

			<h:panelGrid id="sourceLParMemoryPanel" columns="2">
				<h:outputText value="#{msg.LBL_SOURCE_LPAR}" styleClass="headerText"
					id="sourceLParMemoryPaneltext4" />
				<h:outputText id="vservernamelbl"
					value="#{manageMemoryUIBean.sourceVSName}" />
			</h:panelGrid>


			<h:panelGrid id="panel2" columns="4">

				<h:outputText id="assigned_memory_source1"
					value="#{msg.LBL_ASSIGNEDMEM}" />
				<h:outputText id="assigned_memory_source2"
					value="#{manageMemoryUIBean.assignedOverViewMem}" />
				<h:outputText value="&nbsp;" escape="false" />
				<hx:outputLinkEx id="overviewunitlink"
					style="text-decoration: none;" onclick="changeMemUnit();">
					<h:outputText value="#{msg.LBL_GB}"
						rendered="#{manageMemoryUIBean.memoryGBMode}"
						title="#{msg.LBL_GBTO_MB}" />
					<h:outputText value="#{msg.LBL_MB}"
						rendered="#{!manageMemoryUIBean.memoryGBMode}"
						title="#{msg.LBL_MBTO_GB}" />
				</hx:outputLinkEx>

				<h:outputText id="assigned_memory_source3"
					value="#{msg.LBL_MOVEABLEMEM}" />
				<h:outputText id="assigned_memory_source4"
					value="#{manageMemoryUIBean.moveableViewMem}" />
				<h:outputText value="&nbsp;" escape="false" />
				<hx:outputLinkEx id="overviewunitlink1"
					style="text-decoration: none;" onclick="changeMemUnit();">
					<h:outputText value="#{msg.LBL_GB}"
						rendered="#{manageMemoryUIBean.memoryGBMode}"
						title="#{msg.LBL_GBTO_MB}" />
					<h:outputText value="#{msg.LBL_MB}"
						rendered="#{!manageMemoryUIBean.memoryGBMode}"
						title="#{msg.LBL_MBTO_GB}" />
				</hx:outputLinkEx>
					
				<h:outputText id="amount_to_move_from_source1"
					value="#{msg.LBL_AMOUNT_TO_MOVE}" />
				<h:inputText id="amount_to_move_from_source2" value ="#{manageMemoryUIBean.amountToMove}" style="width: 50" maxlength="9" onkeyup="processChanges();"
						 required="true" onblur="setModified(this);processChanges();" ></h:inputText>
				<h:selectBooleanCheckbox id="amount_to_move_from_source2_modifiedHiddenCheckBox" style="display: none"/>		
				<hx:outputLinkEx id="overviewunitlink2"
					style="text-decoration: none;" onclick="changeMemUnit();">
					<h:outputText value="#{msg.LBL_GB}"
						rendered="#{manageMemoryUIBean.memoryGBMode}"
						title="#{msg.LBL_GBTO_MB}" />
					<h:outputText value="#{msg.LBL_MB}"
						rendered="#{!manageMemoryUIBean.memoryGBMode}"
						title="#{msg.LBL_MBTO_GB}" />
				</hx:outputLinkEx>
			</h:panelGrid>




			<h:panelGrid id="panel3">
			<h:panelGrid id="destLParMemoryPanel" columns="2">
				<h:outputText value="#{msg.LBL_DEST_LPAR}" styleClass="headerText"
					id="destLParMemoryPaneltext4" />
				<h:outputText value="#{manageMemoryUIBean.selectedVirtualServerName}" id="destselectedVSName"/> 
			</h:panelGrid>
				<h:panelGrid id="destination_lpar_list_panel" columns="2">
					<usmc:outputLabel id="destination_lpar_list"
						value="#{msg.LBL_DESTINATION_LPAR}" for="selectDestinationLPAR" />
					<h:selectOneMenu id="selectDestinationLPAR" value="#{manageMemoryUIBean.selectedDestVirtualServerId}">
						<f:selectItems value="#{manageMemoryUIBean.destinationLpars}"/>
						
					</h:selectOneMenu>
				</h:panelGrid>


 				<hx:behavior id="ajBehavior_refresh_memory_values" event="onchange"
						behaviorAction="get;stop" targetAction="panel3"
						target="selectDestinationLPAR" />

				<h:panelGrid id="panel4" columns="4">
					<vsmfaces:outputLabel id="assigned_memory_dest1"
						value="#{msg.LBL_ASSIGNEDMEM}" for="assigned_memory_dest2"
						uiproperty="#{manageMemoryUIBean.destAssignedViewMem}" />

					<h:outputText id="assigned_memory_dest2"
						value="#{manageMemoryUIBean.destAssignedMem}" />
					<h:outputText value="&nbsp;" escape="false" />
					<hx:outputLinkEx id="overviewunitdestlink"
						style="text-decoration: none;" onclick="changeMemUnit();">
						<h:outputText value="#{msg.LBL_GB}"
							rendered="#{manageMemoryUIBean.memoryGBMode}"
							title="#{msg.LBL_GBTO_MB}" />
						<h:outputText value="#{msg.LBL_MB}"
							rendered="#{!manageMemoryUIBean.memoryGBMode}"
							title="#{msg.LBL_MBTO_GB}" />
					</hx:outputLinkEx>


					<vsmfaces:outputLabel id="assigned_memory_dest3"
						value="#{msg.LBL_MAXMEM}" for="assigned_memory_dest4"
						uiproperty="#{manageMemoryUIBean.destMaxViewMem}" />
					<h:outputText id="assigned_memory_dest4"
						value="#{manageMemoryUIBean.destMaxMem}" />

					<h:outputText value="&nbsp;" escape="false" />
					<hx:outputLinkEx id="overviewunitdestlink1"
						style="text-decoration: none;" onclick="changeMemUnit();">
						<h:outputText value="#{msg.LBL_GB}"
							rendered="#{manageMemoryUIBean.memoryGBMode}"
							title="#{msg.LBL_GBTO_MB}" />
						<h:outputText value="#{msg.LBL_MB}"
							rendered="#{!manageMemoryUIBean.memoryGBMode}"
							title="#{msg.LBL_MBTO_GB}" />
					</hx:outputLinkEx>

				</h:panelGrid>
			</h:panelGrid>
		
		

		
		</h:panelGrid>

		<h:panelGrid columns="3" id="panel455">
				<hx:commandExButton  id="commandBtnSubmit455"
				action="#{manageMemoryUIBean.dialogSubmission}" value="#{msg.LBL_OK}" type="submit">
				<hx:behavior event="onclick"
					targetAction="moveDLPARMemoryPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>


				<hx:commandExButton value="#{msg.LBL_CANCEL}"
					action="#{manageMemoryUIBean.dialogCancel}"
					type="submit" immediate="true"   id="commandBtnCancel455">
					<hx:behavior event="onclick"
					targetAction="moveDLPARMemoryPanelDialog;manageServerPanel"
					behaviorAction="hide;get;stop" />
				</hx:commandExButton>
				
				<h:commandButton id="help_button_mvsmovememory"
					value="#{msg.HELP_TEXT}"
					action="#{mvs_help.doModifyMemoryHelp}" immediate="true"   id="commandBtnHelp455">
				</h:commandButton>
			</h:panelGrid>
			<hx:ajaxRefreshSubmit id="refresh2">
			</hx:ajaxRefreshSubmit>

	</hx:panelBox>
			<exfaces:script type="text/javascript" value="
			function setModified(obj)
			{
				if (obj.value != '') {
					document.getElementById(namespace+'manageServer_form:strgMvDlpMemView:amount_to_move_from_source2_modifiedHiddenCheckBox').checked=true;
				}
			}
"/>
</f:subview>
