<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<%@ page language="java" contentType="text/html"
	pageEncoding="ISO-8859-1" session="false"%>



<%-- Fragment to display update locations on an endpoint. --%>
<hx:panelBox id="systemLocations_layout1"  layout="pageDirection">

  <h:panelGrid id="head" >

	<h:outputText value="Partition Information"  styleClass="headerText"/>

	<h:panelGrid columns="2">
	<usmc:outputLabel id="info" for="lpar"
		styleClass="outputLabel" style="min-width:200" value="#{msg.LOGPORT_GENTAB_VSID_LBL}" />
	<h:outputText id="lpar" value="#{vs_bean.virtualServerId}" />
	<usmc:outputLabel id="infoid" for="id"
		styleClass="outputLabel" style="min-width:200" value="#{msg.LOGPORT_GENTAB_VSNAME_LBL}"/>
	<h:outputText id="id" value="#{vs_bean.virtualServerDisplayName}" />

	</h:panelGrid>
	</h:panelGrid>
	
	<h:panelGrid id="head1">
	<h:outputText value="#{msg.LBL_RESOURCES}"  styleClass="headerText"/>
	
	<h:panelGrid id="resourcePanel">
		<hx:ajaxRefreshSubmit id="selectResourcePanelSubmit" />
			<h:panelGrid columns="2"
				rendered="#{!sriov_bean.configDetails.ethernetTypeLogPort && sriov_bean.viosEnv}" >
				<vsmfaces:selectBooleanCheckBox id="backingDeviceBox"
					labelId="backingDeviceBoxLabel"
					uiproperty="#{sriov_bean.configDetails.backingDevice}">
					<hx:behavior id="backingDeviceBoxBehaviourId" event="onclick"
						behaviorAction="get;stop" target="backingDeviceBox"
						targetAction="resourcePanel" />
				</vsmfaces:selectBooleanCheckBox>
				<vsmfaces:outputLabel id="backingDevicelabel" for="backingDeviceBox"
					value="#{msg.LBL_BACKINGDEVICE_CHKBOX}"
					uiproperty="#{sriov_bean.configDetails.backingDevice}">
				</vsmfaces:outputLabel>
		</h:panelGrid>
		<h:panelGrid id="backingDeviceHelpPanel"
			rendered="#{sriov_bean.configDetails.backingDevice.booleanValue && sriov_bean.viosEnv}" style="text-align:justify;color:blue;font-size: 1.0em" >
			<h:outputText id="backingDeviceHelpLabel1" value="#{msg.LBL_HELPTEXT1_BACKINGDEVICE}"/>
			<h:outputText id="backingDeviceHelpLabel2" value="#{msg.LBL_HELPTEXT2_BACKINGDEVICE}"/>
			<h:outputText id="backingDeviceHelpLabel3" value="#{msg.LBL_HELPTEXT3_BACKINGDEVICE}"/>
		</h:panelGrid>
	</h:panelGrid>
	
	<h:panelGrid columns="2">
	<vsmfaces:outputLabel id="cap" for="sriov_capacity" value="#{msg.LBL_CAPACITY}"
			uiproperty="#{sriov_bean.configDetails.capacity}" />
	<vsmfaces:inputText id="sriov_capacity" labelId="cap"
			uiproperty="#{sriov_bean.configDetails.capacity}"/>
	</h:panelGrid>
	
	<h:panelGrid id="remoteFCTarget"
		rendered="#{!sriov_bean.configDetails.ethernetTypeLogPort}">
		<h:panelGrid columns="2">
			<vsmfaces:outputLabel id="maxRemFcLabelId"
				value="#{msg.LBL_MAX_REMOTETAR}"
				uiproperty="#{sriov_bean.configDetails.maxRemoteFCTargets}" />
			<vsmfaces:outputText id="maxRemFcId"
				uiproperty="#{sriov_bean.configDetails.maxRemoteFCTargets}" />
		</h:panelGrid>
		<h:panelGrid columns="4" id="getDefaultRemote">
		 	<hx:ajaxRefreshSubmit id="getDefaultRemoteSubmit" target="panel1">
				</hx:ajaxRefreshSubmit>
			<vsmfaces:outputLabel id="remFcLabelId" for="remFcId"
				value="#{msg.LBL_REMOTETAR}"
				rendered="#{!sriov_bean.configDetails.ethernetTypeLogPort}"
				uiproperty="#{sriov_bean.configDetails.remoteFCTargets}" />
			<vsmfaces:inputText id="remFcId"
				uiproperty="#{sriov_bean.configDetails.remoteFCTargets}" />

				<hx:commandExButton
					action="#{sriov_bean.recalculateDefaultRemFCTargets}" value="#{msg.BUTTON_GET_DEFAULT}" type="submit" id="getDefaultRemoteId">
					<hx:behavior id="vlanResAddBehaviouId"  event="onclick" target="getDefaultRemoteId"
						targetAction="getDefaultRemote" behaviorAction="get;stop" />
				</hx:commandExButton>
		</h:panelGrid>
		 <h:panelGrid id="roundingFcoe" columns="2"  style="text-align: center" >
	 	 	<h:outputText id="vlanLabel" value="#{msg.LBL_MULTIPLE_TARGETS}" style="margin-left:10em"/>
			<h:outputText id="vlanId" value="#{sriov_bean.configDetails.multipleFocevalue}" />
     	 </h:panelGrid>
	</h:panelGrid>
</h:panelGrid>
	
	<h:panelGrid id="head2">
	<h:outputText value="#{msg.LBL_PERMISSION}"  styleClass="headerText"/>
	
	<h:panelGrid columns="2" rendered="#{sriov_bean.configDetails.ethernetTypeLogPort}">
	
	<vsmfaces:selectBooleanCheckBox id="diachkBox" labelId="diaChkBoxlabel" uiproperty="#{sriov_bean.configDetails.diagPermission}" >
	</vsmfaces:selectBooleanCheckBox>
	<vsmfaces:outputLabel id="diaChkBoxlabel" for="diachkBox" value="#{msg.LBL_DIAGPERMISSION_CHKBOX}" uiproperty="#{sriov_bean.configDetails.diagPermission}"/>
		
	
	<vsmfaces:selectBooleanCheckBox id="prid"  labelId="priorityChBoxLabel" uiproperty="#{sriov_bean.configDetails.promiscuPermission}" disabled="sriov_bean.configDetails.vlanPromiscuDisabled.booleanValue || sriov_bean.configDetails.priorPromiscuDisabled.booleanValue || sriov_bean.configDetails.macPromiscuDisabled.booleanValue}" >
	</vsmfaces:selectBooleanCheckBox>
	<vsmfaces:outputLabel id="priorityChBoxLabel" for="prid" value="#{msg.LBL_PROMISCGPERMISSION_CHKBOX}" uiproperty="#{sriov_bean.configDetails.promiscuPermission}"/>
	
	<vsmfaces:selectBooleanCheckBox id="ddmaid" labelId="ddmaChBoxLabel" uiproperty="#{sriov_bean.configDetails.dmaWinPermission}" >
	</vsmfaces:selectBooleanCheckBox>
	
	<vsmfaces:outputLabel id="ddmaChBoxLabel" for="ddmaid" value="#{msg.LBL_DMAPERMISSION_CHKBOX}" uiproperty="#{sriov_bean.configDetails.dmaWinPermission}"/>
	</h:panelGrid>
	

	<h:panelGrid columns="2" rendered="#{!sriov_bean.configDetails.ethernetTypeLogPort}">
	
	<vsmfaces:selectBooleanCheckBox id="diachkBox1" labelId="diaChkBoxlabel1" uiproperty="#{sriov_bean.configDetails.diagPermission}" >
		
	</vsmfaces:selectBooleanCheckBox>
	<vsmfaces:outputLabel id="diaChkBoxlabel1" for="diachkBox1" value="#{msg.LBL_DIAGPERMISSION_CHKBOX}" uiproperty="#{sriov_bean.configDetails.diagPermission}"/>
	
	<vsmfaces:selectBooleanCheckBox id="ddmaid1" labelId="ddmaChBoxLabel1" uiproperty="#{sriov_bean.configDetails.dmaWinPermission}">
	</vsmfaces:selectBooleanCheckBox>
	<vsmfaces:outputLabel id="ddmaChBoxLabel1" for="ddmaid1" value="#{msg.LBL_DMAPERMISSION_CHKBOX}" uiproperty="#{sriov_bean.configDetails.dmaWinPermission}"/>
	</h:panelGrid>

	</h:panelGrid>
	

	
</hx:panelBox>
