<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<hx:panelBox layout="pageDirection" width="100%">

	<usmc:messageBox id="name_messagebox"
		messageCollection="#{messageBoxBean.messages}" styleClass="taskInfo"
		immediate="true" closeLinkVisible="true"
		helpListener="#{messageBoxBean.handleHelp}"
		closeListener="#{messageBoxBean.handleClose}"
		responseListener="#{messageBoxBean.handleResponse}" />
		
	<h:panelGroup>
		<h:graphicImage
			url="#{facesContext.externalContext.request.contextPath}/images/HelpIcon.gif"
			alt="F1" />
		<h:outputText escape="false" value="&nbsp;" />
		<hx:outputLinkEx styleClass="outputLink">
			<h:outputText value="#{msg['kerberos.LearnMore.Link']}" />
			<hx:behavior behaviorAction="CLICK;STOP"
				targetAction="kerberos_learnMoreButton" event="onclick" />
		</hx:outputLinkEx>
		<hx:commandExButton type="submit" style="display:none"
			id="kerberos_learnMoreButton"
			actionListener="#{transitionBean.learnMoreLinkHandler}">
			<hx:behavior behaviorAction="GET;STOP"
				targetAction="#{transitionBean.helpLinkTargetAction}"
				event="onclick" />
		</hx:commandExButton>
	</h:panelGroup>		
		
	<h:panelGrid id="transitionModeAjaxPanel" styleClass="panelGrid"
		columns="2" cellspacing="5" cellpadding="5" width="85%">

			<h:outputText value="*#{msg['KerberosServerRealm.label']}" />
			<h:inputText value="#{kerberosConf.realm}" size="60"/>

			<h:outputText value="*#{msg['KerberosServerHostName.label']}" />
			<h:inputText value="#{kerberosConf.server}" size="60"/>
			
			<h:outputText value="#{msg['KerberosDefault.label']}" />
			<h:inputText value="#{kerberosConf.defaultrealm}" size="60"/>

			<h:outputText value="#{msg['TicketLifetime.label']}" />
			<h:inputText value="#{kerberosConf.ticketlifetime}" size="60"/>

			<h:outputText value="#{msg['ClockSkew.label']}" />
			<h:inputText value="#{kerberosConf.clockskew}"  size="60"/>
			
			<h:outputText value="#{msg['KerberosServiceKey.label']}" />
			<h:inputText value="#{kerberosConf.keytab}"  size="60"/>	
			
	</h:panelGrid>	

	<h:panelGroup>
	<h:selectBooleanCheckbox id="checkbox" value="#{kerberosConf.skipConfig}" title="Skip Kerberos configuration"/>		
	<h:outputText value="&nbsp;" escape="false"/>
	<h:outputText value="#{msg['KRBConfig_Skip.label']}" />
	</h:panelGroup>
	
</hx:panelBox>