<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<hx:panelBox layout="pageDirection" width="100%">

	<usmc:messageBox id="name_messagebox"
		messageCollection="#{messageBoxBean.messages}" styleClass="taskInfo"
		immediate="true" closeLinkVisible="true"
		helpListener="#{messageBoxBean.handleHelp}"
		closeListener="#{messageBoxBean.handleClose}"
		responseListener="#{messageBoxBean.handleResponse}" />	
		
	<h:panelGroup>
		<h:graphicImage
			url="#{facesContext.externalContext.request.contextPath}/images/HelpIcon.gif"
			alt="F1" />
		<h:outputText escape="false" value="&nbsp;" />
		<hx:outputLinkEx styleClass="outputLink">
			<h:outputText value="#{msg['ldap.LearnMore.Link']}" />
			<hx:behavior behaviorAction="CLICK;STOP"
				targetAction="ldap_learnMoreButton" event="onclick" />
		</hx:outputLinkEx>
		<hx:commandExButton type="submit" style="display:none"
			id="ldap_learnMoreButton"
			actionListener="#{transitionBean.learnMoreLinkHandler}">
			<hx:behavior behaviorAction="GET;STOP"
				targetAction="#{transitionBean.helpLinkTargetAction}"
				event="onclick" />
		</hx:commandExButton>
	</h:panelGroup>			

	<h:panelGrid id="transitionModeAjaxPanel" styleClass="panelGrid"
		columns="2" cellspacing="5" cellpadding="5" width="85%">

			<h:outputText value="*#{msg['LDAPServer_Host.label']}:" />
			<h:inputText value="#{ldapConf.server}" size="60"/>			

			<h:outputText value="*#{msg['Distinguished_Name.label']}:" />
			<h:inputText value="#{ldapConf.baseDN}" size="60"/>
			
			<h:outputText value="*#{msg['LoginAttribute.label']}:" />
			<h:inputText value="#{ldapConf.loginAttribute}" size="60"/>

			<h:outputText value="*#{msg['GroupFilter.label']}:" />
			<h:inputText value="#{ldapConf.groupFilter}"  size="60"/>

			<h:outputText value="*#{msg['UserFilter.label']}:" />
			<h:inputText value="#{ldapConf.userFilter}"  size="60"/>

			<h:outputText value="*#{msg['MemberAttribute.label']}:" />
			<h:inputText value="#{ldapConf.memberAttribute}" size="60"/>
			
			<h:outputText value="#{msg['Bind_Distinguished_Name.label']}:" />
			<h:inputText value="#{ldapConf.bindDN}" size="60"/>
			
			<h:outputText value="#{msg['Bind_Password.label']}:" />
			<h:inputSecret value="#{ldapConf.bindPW}" size="60"/>
			
			<h:outputText value="#{msg['LDAPServer_Port.label']}:" />
			<h:inputText value="#{ldapConf.port}" size="60"/>	
			
			<h:outputText value="#{msg['SearchFilter.label']}:" />
			<h:inputText value="#{ldapConf.searchFilter}" size="60"/>

	</h:panelGrid>
	
	<h:panelGroup>				
	   <h:selectBooleanCheckbox id="checkbox1" value="#{ldapConf.enableSSL}" title="Enable SSL"/>
	   <h:outputText value="&nbsp;" escape="false" />
	   <h:outputText value="#{msg['EnableSSL.label']}" />	
	</h:panelGroup>
	
	<h:panelGroup>
	   <h:selectBooleanCheckbox id="checkbox2" value="#{ldapConf.skipConfig}" title="Skip LDAP Configuration"/>
	   <h:outputText value="&nbsp;" escape="false" />
	   <h:outputText value="#{msg['LDAPConfig_Skip.label']}" />	
	</h:panelGroup>	
	
</hx:panelBox>
