<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<hx:panelBox layout="pageDirection" width="100%">

	<usmc:messageBox id="name_messagebox"
		messageCollection="#{messageBoxBean.messages}" styleClass="taskInfo"
		immediate="true" closeLinkVisible="true"
		helpListener="#{messageBoxBean.handleHelp}"
		closeListener="#{messageBoxBean.handleClose}"
		responseListener="#{messageBoxBean.handleResponse}" />	

	<h:panelGroup>
		<h:graphicImage
			url="#{facesContext.externalContext.request.contextPath}/images/HelpIcon.gif"
			alt="F1" />
		<h:outputText escape="false" value="&nbsp;" />
		<hx:outputLinkEx styleClass="outputLink">
			<h:outputText value="#{msg['ldapssl.LearnMore.Link']}" />
			<hx:behavior behaviorAction="CLICK;STOP"
				targetAction="ldapssl_learnMoreButton" event="onclick" />
		</hx:outputLinkEx>
		<hx:commandExButton type="submit" style="display:none"
			id="ldapssl_learnMoreButton"
			actionListener="#{transitionBean.learnMoreLinkHandler}">
			<hx:behavior behaviorAction="GET;STOP"
				targetAction="#{transitionBean.helpLinkTargetAction}"
				event="onclick" />
		</hx:commandExButton>
	</h:panelGroup>	
	
	<h:panelGrid id="transitionModeAjaxPanel" styleClass="panelGrid"
		columns="2" cellspacing="5" cellpadding="5" width="85%">
			
			<!-- Show this only when SSL is enabled -->
			
			<h:outputText value="*#{msg['KeystoreFilePath.label']}:" />
			<h:inputText value="#{ldapSSLConf.keystoreFilePath}" size="60"/>

			<h:outputText value="*#{msg['KeystoreFilePW.label']}:" />
			<h:inputSecret value="#{ldapSSLConf.keystoreFilePW}" size="60"/>

			<h:outputText value="*#{msg['TruststoreFilePath.label']}:" />
			<h:inputText value="#{ldapSSLConf.truststoreFilePath}" size="60"/>

			<h:outputText value="*#{msg['TruststoreFilePW.label']}:" />
			<h:inputSecret value="#{ldapSSLConf.truststoreFilePW}" size="60"/>
			
			<h:outputText value="*#{msg['Keylabel.label']}:" />
			<h:inputText value="#{ldapSSLConf.keylabel}" size="60"/>			

	</h:panelGrid>
	
</hx:panelBox>
