<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>

<hx:panelBox layout="pageDirection" width="100%">

	<usmc:messageBox id="name_messagebox"
		messageCollection="#{messageBoxBean.messages}" styleClass="taskInfo"
		immediate="true" closeLinkVisible="true"
		helpListener="#{messageBoxBean.handleHelp}"
		closeListener="#{messageBoxBean.handleClose}"
		responseListener="#{messageBoxBean.handleResponse}" />

	<h:panelGroup>
		<h:graphicImage
			url="#{facesContext.externalContext.request.contextPath}/images/HelpIcon.gif"
			alt="F1" />
		<h:outputText escape="false" value="&nbsp;" />
		<hx:outputLinkEx styleClass="outputLink">
			<h:outputText value="#{msg['users.LearnMore.Link']}" />
			<hx:behavior behaviorAction="CLICK;STOP"
				targetAction="users_learnMoreButton" event="onclick" />
		</hx:outputLinkEx>
		<hx:commandExButton type="submit" style="display:none"
			id="users_learnMoreButton"
			actionListener="#{transitionBean.learnMoreLinkHandler}">
			<hx:behavior behaviorAction="GET;STOP"
				targetAction="#{transitionBean.helpLinkTargetAction}"
				event="onclick" />
		</hx:commandExButton>
	</h:panelGroup>	

	<h:panelGrid id="transitionUserAjaxPanel" styleClass="panelGrid"
		columns="1" cellspacing="5" cellpadding="5" width="100%">

		<usmc:outputLabel styleClass="outputText"
			value="#{msg['Users.Page.Heading']}" />

		<h:panelGroup>
			<h:graphicImage
				url="#{facesContext.externalContext.request.contextPath}/images/HelpIcon.gif"
				alt="F1" />
			<h:outputText escape="false" value="&nbsp;" />
			<hx:outputLinkEx styleClass="outputLink">
				<h:outputText value="#{msg['Users.Page.LearnMore.Passowrd']}" />
				<hx:behavior behaviorAction="CLICK;STOP"
					targetAction="users_learnPasswordButton" event="onclick" />
			</hx:outputLinkEx>
			<hx:commandExButton type="submit" style="display:none"
				id="users_learnPasswordButton"
				actionListener="#{transitionBean.learnMoreLinkHandler}">
				<hx:behavior behaviorAction="GET;STOP"
					targetAction="#{transitionBean.helpLinkTargetAction}"
					event="onclick" />
			</hx:commandExButton>
		</h:panelGroup>

		<h:panelGrid id="passwordsAjaxPanel" styleClass="panelGrid"
			columns="2" cellspacing="5" cellpadding="5">

			<h:outputText value="*#{msg['Users.Page.Password.Label']}:" />

			<h:outputText value="*#{msg['Users.Page.Confirm.Password.Label']}:" />

			<h:inputSecret value="#{transitionUsers.password}" id="newPassword" />

			<h:inputSecret value="#{transitionUsers.confirmPassword}" id="confirmPassword" />

		</h:panelGrid>

	</h:panelGrid>

	<h:panelGrid styleClass="panelGrid" columns="1" cellspacing="5"
		cellpadding="5" width="90%">

		<usmc:navigatorWidget id="usersImportNavigator"
			modelID="USMI" homeID="usersImportHomeID"
			includeEmptyRows="false" selectionPolicy="multiple"
			nonNavigationActionsAllowed="false" includeSearch="false" rows="20"
			includeNavigationalHistory="false" includeToolbar="true"
			hyperlinkNavigationalHistory="false">
		</usmc:navigatorWidget>

	</h:panelGrid>
</hx:panelBox>

<hx:behavior id="ajBehavior_Proc_Offline" target="transitionOfflineUser"
	event="onclick" behaviorAction="get;stop"
	targetAction="transitionUserAjaxPanel" />

<hx:behavior id="ajBehavior_Proc_Online" target="transitionOnlineUser"
	event="onclick" behaviorAction="get;stop"
	targetAction="transitionUserAjaxPanel" />
