<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<%@ taglib uri="http://www.ibm.com/tld/ExtendedFaces" prefix="exfaces"%>
<%@ taglib uri="http://www.ibm.com/tld/usmc" prefix="usmc"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://www.ibm.com/tld/VSMExtendedFaces" prefix="vsmfaces"%>

<f:subview id="createvirtualDisk" rendered="#{vdiskuibean.rendered}">
<hx:panelBox id="createvirtualDiskPanelBox" layout="pageDirection">

<usmc:messageBox id="crtvdisk_messagebox_dialog"
							               messageCollection="#{messageBoxBean.messages}"
							               styleClass="taskInfo"
							               immediate="true"
							               closeLinkVisible="false"
							               closeListener="#{messageBoxBean.handleClose}"
							               />

<h:panelGrid id="createVDiskMainPanel">

<hx:ajaxRefreshSubmit id="ajaxRefreshSubmit1" target="createVDiskMainPanel">
</hx:ajaxRefreshSubmit>
  
<h:panelGrid id="panel0">							               

<h:panelGrid id="panel1">
	<h:outputText value="#{msg.CRT_VIR_DISK_TEXT1}" escape="false" id="optxtp1"/>
	<h:outputText value="#{msg.CRT_VIR_DISK_TEXT2}" escape="false" id="optxtp2"/>
</h:panelGrid>

<h:outputText value="<br>" escape="false" id="optxt2"/>

<h:panelGrid id="createvdiskPanel">

<hx:ajaxRefreshSubmit id="viosChangeRefresh"/>

<h:panelGrid columns="2" id="panel2">
	<usmc:outputLabel value="#{msg.CRT_VIR_DISK_VIOSLBL}" id="vioslabel" for="viosSelectMenu"/>
	<h:selectOneMenu id="viosSelectMenu" value="#{vdiskuibean.selectedVIOServer}">
		<f:selectItems value="#{vdiskuibean.viosServers}" id="viosServersSelectitems"/>
		<hx:behavior event="onchange" targetAction="createvdiskPanel" behaviorAction="get;stop" id="vioschangebehavior"/>
	</h:selectOneMenu>
</h:panelGrid>

<h:outputText value="<p>" escape="false" id="optxt3"/>

<h:panelGrid id="panel3">
	<h:outputText value="#{msg.CRT_VIR_DISK_HDSETTINGS}" styleClass="headerText" id="optxt4"/>
</h:panelGrid>

<h:outputText value="" id="optxt5"/>

<h:panelGrid columns="3" styleClass="columnLeftAlign" id="panel4">
		
	<usmc:outputLabel id="vdiskNameLbl" value="#{msg.CRT_VDISK_NAME_LBL}" for="vdiskName"/>
	<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false" id="optxt6"/>
	<h:inputText id="vdiskName" value="#{vdisk.name}" style="width: 150" maxlength="15"/>

	<h:outputText value="" id="optxt7"/>
	<h:outputText value="" id="optxt8"/>
	<h:outputText value="" id="optxt9"/>
	
	<usmc:outputLabel id="strgPoollbl" for="strgpool" value="#{msg.CRT_VDISK_STRPOOL_LBL}"/>
	<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false" id="optxt10"/>
	<h:selectOneMenu id="strgpool" value="#{vdiskuibean.selectedStoragePool}" style="min-width: 150px">
		<f:selectItems value="#{vdiskuibean.storagePools}" id="strgppoolselectItems"/>
	</h:selectOneMenu>

	<h:outputText value="" id="optxt11"/>
	<h:outputText value="" id="optxt12"/>
	<h:outputText value="" id="optxt13"/>
	
	<usmc:outputLabel id="sizelbl" for="size" value="#{msg.CRT_VDISK_SIZE_LBL}"/>
	<h:outputText value="&nbsp;&nbsp;&nbsp;" escape="false" id="optxt14"/>
	<h:panelGrid columns="2" id="panel5">
		<h:inputText id="size" value="#{vdiskuibean.size}" style="width: 150"/>
		<h:selectOneMenu id="sizeformat" value="#{vdiskuibean.sizeFormat}">
			<f:selectItems value="#{vdiskuibean.sizeFormats}" id="sizeformatSelectItems"/>
		</h:selectOneMenu>
	</h:panelGrid>

</h:panelGrid>

	<h:panelGrid columns="2" styleClass="columnLeftAlign" id="storageTyeGrid" rendered="#{vdiskuibean.cluster}">
	<usmc:outputLabel id="storageTypeLbl" for="storageType" value="#{msg.CRT_VIR_DISK_STORAGE_TYPE_LBL}"/>
	<h:selectOneMenu id="storageType" value="#{vdiskuibean.selectedStorageType}" style="min-width: 150px">
		<f:selectItems value="#{vdiskuibean.storageTypes}" id="storageTypeSelectItems"/>
	</h:selectOneMenu>
	</h:panelGrid>
	
	<h:panelGrid id="vssViosGrid" columns="2" styleClass="columnLeftAlign" rendered="#{vdiskuibean.cluster}">
	     <usmc:outputLabel id="mapViosLbl" for="clusterViosTable" value="#{msg.CRT_VIR_DISK_MAP_VIOS_LBL}"/>
		<hx:dataTableEx id="clusterViosTable" border="0" cellpadding="10"
		    			cellspacing="0" columnClasses="columnClass1"
						headerClass="dataTableColumnHeader" footerClass="footerClass"
						rowClasses="rowClass1, rowClass2" styleClass="newFaceDataTable"
						value="#{vdiskuibean.viosMappings}"
						var="clusterVios" width="100%">
			<hx:columnEx id="selectCol" style="text-align: center;width: 10%">
			<f:facet name="header">
				<h:panelGrid width="100%" columnClasses="sortHeaderText">
					<usmc:outputLabel styleClass="outputLabel"
									  id="clusterVios_selectLabel" value="#{msg.select}" />
				</h:panelGrid>
			</f:facet>
			<h:selectBooleanCheckbox value="#{clusterVios.selected}" 
			    onclick="handleDialogTableRowSelection('createServer_form:createsvrwizard:AssignVirtualDiskPanel:clusterViosTable');"/>
			</hx:columnEx>

			<hx:columnEx id="dialogVIOServer">
			<f:facet name="header">
				<h:panelGrid columns="2" width="100%"
							 columnClasses="sortHeaderText,sortHeaderImage">
					<usmc:outputLabel styleClass="outputLabel" id="vioservername"
												value="#{msg.VIRSTR_TBL_VIOSNAME}" />
					<hx:graphicImageEx value="/images/JSF_sort_bi.gif"
							title="#{msg.TBL_NONE_TITLE}" alt="#{msg.LBL_TBL_NOSORT}"
							style="text-align: right" 
							onclick="sortCol('createServer_form:createsvrwizard:AssignVirtualDiskPanel:vdisksortbutton',
											'dialogVIOServer',
											'createServer_form:createsvrwizard:AssignVirtualDiskPanel');" />
				</h:panelGrid>
			</f:facet>
			<vsmfaces:outputText styleClass="outputText" uiproperty="#{clusterVios}" />
			</hx:columnEx>
		</hx:dataTableEx>
	</h:panelGrid>

</h:panelGrid>

<h:outputText value="<p>" escape="false" id="optxt15"/>

<h:panelGrid columns="3" id="panel6">
	<hx:commandExButton value="#{msg.OK_TEXT}" action="#{storageadap_cs_pagecode.validateCVDisk}" id="vdiskOkbutton">
		<hx:behavior event="onclick" targetAction="createVDiskPanelDialog;virtualDiskPanel;displaycvdiskPanelDialog" behaviorAction="hide;get;get;stop" id="vdiskbehavaction"/>
	</hx:commandExButton>
	<hx:commandExButton value="#{msg.CANCEL_TEXT}" action="#{storageadap_cs_pagecode.cancelCVDisk}" id="vdiskcancelbutton">
		<hx:behavior event="onclick" targetAction="createVDiskPanelDialog;virtualDiskPanel" behaviorAction="hide;get;stop" id="vdiskcancelbehavaction"/>
	</hx:commandExButton>
							
	<h:commandButton id="help_button_cvs_vdisk"
			value="#{msg.HELP_TEXT}"
			action="#{cvs_help.doVDiskHelp}" immediate="true">
	</h:commandButton>
</h:panelGrid>

</h:panelGrid>

</h:panelGrid>

</hx:panelBox>
</f:subview>